#define __python /usr/bin/python26
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global srcname glob2

Name:           python-%{srcname}
Version:        0.3
Release:        1%{?dist}
Summary:        Version of the glob module that can capture patterns and supports recursive wildcards

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/glob2
Source0:        http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose

%description
This is an extended version of Python's builtin glob module (http://docs.python.org/library/glob.html) which adds:

- The ability to capture the text matched by glob patterns, and return those matches alongside the filenames.
- A recursive '**' globbing syntax, akin for example to the globstar option of the bash shell.
- The ability to replace the filesystem functions used, in order to glob on virtual filesystems.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%check
PYTHONPATH=$(pwd) nosetests

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/%{srcname}
%{python_sitelib}/%{srcname}*.egg-info

%changelog
* Sat Oct 05 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
